Bug 101197 - enabling HostbasedAuthentication breaks ssh
enabling HostbasedAuthentication breaks ssh
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssh (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-29 19:44 EDT by Christopher McCrory
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 10:25:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher McCrory 2003-07-29 19:44:44 EDT
Description of problem:

enabling HostbasedAuthentication breaks ssh

Version-Release number of selected component (if applicable):
openssh-3.6.1p2-2.i386.rpm

How reproducible:
always if not using rsa/dsa keys

Steps to Reproduce:
1. install openssh
2. setup hostbasedauth OR
3. setup per user pub/private keys in ~/.ssh
    
Actual results:

[chrismcc@morticia chrismcc]$ slogin abu ls /usr/tmp/
ssh-keysign not enabled in /etc/ssh/ssh_config
ssh_msg_send: write


Expected results:

[chrismcc@morticia chrismcc]$ slogin abu ls /usr/tmp/
ifcfg-eth1
<snip>


Additional info:

same happens with ~/.ssh/id_dsa ~/.ssh/authorized_keys
and serverbased with:
/etc/ssh/shosts.equiv
/etc/ssh/ssh_known_hosts


tested on both Intel and Opteron x86/x86_64 platforms
Comment 1 Christopher McCrory 2003-09-04 20:26:21 EDT
The error message is misleading.
 
NOT work: ssh-keysign yes
    work: enablesshkeysign yes

maybe add a comented out line in the /etc/ssh/ssh_config file with the correct form.



Comment 2 Tomas Mraz 2005-02-04 10:25:51 EST
It's in the manual page - man ssh_config

Note You need to log in before you can comment on or make changes to this bug.